diff --git a/spring-boot-samples/spring-boot-sample-actuator-log4j/src/main/resources/log4j.properties b/spring-boot-samples/spring-boot-sample-actuator-log4j/src/main/resources/log4j.properties
deleted file mode 100644
index 6070be6142a..00000000000
--- a/spring-boot-samples/spring-boot-sample-actuator-log4j/src/main/resources/log4j.properties
+++ /dev/null
@@ -1,14 +0,0 @@
-log4j.rootCategory=INFO, CONSOLE
-
-PID=????
-LOG_PATTERN=[%d{yyyy-MM-dd HH:mm:ss.SSS}] log4j%X{context} - ${PID} %5p [%t] --- %c{1}: %m%n
-
-# CONSOLE is set to be a ConsoleAppender using a PatternLayout.
-log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
-log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
-log4j.appender.CONSOLE.layout.ConversionPattern=${LOG_PATTERN}
-
-log4j.category.org.hibernate.validator.internal.util.Version=WARN
-log4j.category.org.apache.coyote.http11.Http11NioProtocol=WARN
-log4j.category.org.apache.tomcat.util.net.NioSelectorPool=WARN
-log4j.category.org.apache.catalina.startup.DigesterFactory=ERROR
diff --git a/spring-boot/src/main/java/org/springframework/boot/logging/AbstractLoggingSystem.java b/spring-boot/src/main/java/org/springframework/boot/logging/AbstractLoggingSystem.java
index 28d57dfbb09..76a7f0ce81a 100644
--- a/spring-boot/src/main/java/org/springframework/boot/logging/AbstractLoggingSystem.java
+++ b/spring-boot/src/main/java/org/springframework/boot/logging/AbstractLoggingSystem.java
@@ -46,20 +46,20 @@ public void beforeInitialize() {
 	}
 
 	@Override
-	public void initialize() {
+	public void initialize(boolean fileOutput, boolean consoleOutput) {
 		for (String path : this.paths) {
 			ClassPathResource resource = new ClassPathResource(path, this.classLoader);
 			if (resource.exists()) {
-				initialize("classpath:" + path);
+				initialize("classpath:" + path, fileOutput, consoleOutput);
 				return;
 			}
 		}
 		// Fallback to the non-prefixed value
-		initialize(getPackagedConfigFile(this.paths[this.paths.length - 1]));
+		initialize(getPackagedConfigFile(this.paths[this.paths.length - 1]), fileOutput, consoleOutput);
 	}
 
 	protected void initializeWithSensibleDefaults() {
-		initialize(getPackagedConfigFile("basic-" + this.paths[this.paths.length - 1]));
+		initialize(getPackagedConfigFile("basic-" + this.paths[this.paths.length - 1]), false, false);
 	}
 
 	protected final String getPackagedConfigFile(String fileName) {
@@ -70,4 +70,5 @@ protected final String getPackagedConfigFile(String fileName) {
 		return defaultPath;
 	}
 
+
 }
diff --git a/spring-boot/src/main/java/org/springframework/boot/logging/LoggingApplicationListener.java b/spring-boot/src/main/java/org/springframework/boot/logging/LoggingApplicationListener.java
index ba35a9b3850..4b0a61a8a86 100644
--- a/spring-boot/src/main/java/org/springframework/boot/logging/LoggingApplicationListener.java
+++ b/spring-boot/src/main/java/org/springframework/boot/logging/LoggingApplicationListener.java
@@ -23,6 +23,7 @@
 
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
+
 import org.springframework.boot.ApplicationPid;
 import org.springframework.boot.SpringApplication;
 import org.springframework.boot.bind.RelaxedPropertyResolver;
@@ -79,6 +80,7 @@
 		ENVIRONMENT_SYSTEM_PROPERTY_MAPPING = new HashMap<String, String>();
 		ENVIRONMENT_SYSTEM_PROPERTY_MAPPING.put("logging.file", "LOG_FILE");
 		ENVIRONMENT_SYSTEM_PROPERTY_MAPPING.put("logging.path", "LOG_PATH");
+		ENVIRONMENT_SYSTEM_PROPERTY_MAPPING.put("logging.console", "LOG_CONSOLE");
 		ENVIRONMENT_SYSTEM_PROPERTY_MAPPING.put(PID_KEY, PID_KEY);
 	}
 
@@ -144,6 +146,18 @@ protected void initialize(ConfigurableEnvironment environment, ClassLoader class
 		initializeEarlyLoggingLevel(environment);
 		cleanLogTempProperty();
 		LoggingSystem system = LoggingSystem.get(classLoader);
+
+		// if (!StringUtils.isEmpty(environment.getProperty("logging.file"))) {
+		// system.addFileOutput();
+		// }
+		// if (!StringUtils.isEmpty(environment.getProperty("logging.console"))
+		// &&
+		// environment.getProperty("logging.console").equalsIgnoreCase("true"))
+		// {
+		// system.addConsoleOutput();
+		// }
+		// System.setProperty("LOG_CATEGORY", system.getLogCategory());
+
 		boolean systemEnvironmentChanged = mapSystemPropertiesFromSpring(environment);
 		if (systemEnvironmentChanged) {
 			// Re-initialize the defaults in case the system Environment changed
@@ -151,6 +165,8 @@ protected void initialize(ConfigurableEnvironment environment, ClassLoader class
 		}
 		initializeSystem(environment, system);
 		initializeFinalLoggingLevels(environment, system);
+
+
 	}
 
 	private void initializeEarlyLoggingLevel(ConfigurableEnvironment environment) {
@@ -192,21 +208,24 @@ private boolean mapSystemPropertiesFromSpring(Environment environment) {
 
 	private void initializeSystem(ConfigurableEnvironment environment,
 			LoggingSystem system) {
+		boolean fileOutput = !StringUtils.isEmpty(environment.getProperty("logging.file"));
+		boolean consoleOutput = !StringUtils.isEmpty(environment.getProperty("logging.console"))
+				&& environment.getProperty("logging.console").equalsIgnoreCase("true");
 		if (environment.containsProperty("logging.config")) {
 			String value = environment.getProperty("logging.config");
 			try {
 				ResourceUtils.getURL(value).openStream().close();
-				system.initialize(value);
+				system.initialize(value, fileOutput, consoleOutput);
 			}
 			catch (Exception ex) {
 				this.logger.warn("Logging environment value '" + value
 						+ "' cannot be opened and will be ignored "
 						+ "(using default location instead)");
-				system.initialize();
+				system.initialize(fileOutput, consoleOutput);
 			}
 		}
 		else {
-			system.initialize();
+			system.initialize(fileOutput, consoleOutput);
 		}
 	}
 
diff --git a/spring-boot/src/main/java/org/springframework/boot/logging/LoggingSystem.java b/spring-boot/src/main/java/org/springframework/boot/logging/LoggingSystem.java
index 469ec1dde38..1570755b31e 100644
--- a/spring-boot/src/main/java/org/springframework/boot/logging/LoggingSystem.java
+++ b/spring-boot/src/main/java/org/springframework/boot/logging/LoggingSystem.java
@@ -31,6 +31,7 @@
 public abstract class LoggingSystem {
 
 	private static final Map<String, String> SYSTEMS;
+
 	static {
 		Map<String, String> systems = new LinkedHashMap<String, String>();
 		String pkg = LoggingSystem.class.getPackage().getName();
@@ -53,13 +54,13 @@
 	 * try to find system specific configuration on classpath before falling back to
 	 * sensible defaults.
 	 */
-	public abstract void initialize();
+	public abstract void initialize(boolean fileOutput, boolean consoleOutput);
 
 	/**
 	 * Initialize the logging system from a logging configuration location.
 	 * @param configLocation a log configuration location
 	 */
-	public abstract void initialize(String configLocation);
+	public abstract void initialize(String configLocation, boolean fileOutput, boolean consoleOutput);
 
 	/**
 	 * Sets the logging level for a given logger.
diff --git a/spring-boot/src/main/java/org/springframework/boot/logging/java/JavaLoggingSystem.java b/spring-boot/src/main/java/org/springframework/boot/logging/java/JavaLoggingSystem.java
index b55c6fbc650..7e17a201cbf 100644
--- a/spring-boot/src/main/java/org/springframework/boot/logging/java/JavaLoggingSystem.java
+++ b/spring-boot/src/main/java/org/springframework/boot/logging/java/JavaLoggingSystem.java
@@ -1,5 +1,5 @@
 /*
- * Copyright 2012-2013 the original author or authors.
+ * Copyright 2012-2014 the original author or authors.
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
@@ -17,8 +17,11 @@
 package org.springframework.boot.logging.java;
 
 import java.util.Collections;
+import java.util.Enumeration;
 import java.util.HashMap;
 import java.util.Map;
+import java.util.logging.ConsoleHandler;
+import java.util.logging.FileHandler;
 import java.util.logging.Level;
 import java.util.logging.LogManager;
 import java.util.logging.Logger;
@@ -56,12 +59,26 @@ public JavaLoggingSystem(ClassLoader classLoader) {
 	}
 
 	@Override
-	public void initialize(String configLocation) {
+	public void initialize(String configLocation, boolean fileOutput, boolean consoleOutput) {
 		Assert.notNull(configLocation, "ConfigLocation must not be null");
 		String resolvedLocation = SystemPropertyUtils.resolvePlaceholders(configLocation);
 		try {
 			LogManager.getLogManager().readConfiguration(
 					ResourceUtils.getURL(resolvedLocation).openStream());
+			if (fileOutput) {
+				Enumeration<String> loggerNames = LogManager.getLogManager().getLoggerNames();
+				while (loggerNames.hasMoreElements()) {
+					String nextElement = loggerNames.nextElement();
+					LogManager.getLogManager().getLogger(nextElement).addHandler(new FileHandler());
+				}
+			}
+			if (consoleOutput) {
+				Enumeration<String> loggerNames = LogManager.getLogManager().getLoggerNames();
+				while (loggerNames.hasMoreElements()) {
+					String nextElement = loggerNames.nextElement();
+					LogManager.getLogManager().getLogger(nextElement).addHandler(new ConsoleHandler());
+				}
+			}
 		}
 		catch (Exception ex) {
 			throw new IllegalStateException("Could not initialize logging from "
diff --git a/spring-boot/src/main/java/org/springframework/boot/logging/log4j/Log4JLoggingSystem.java b/spring-boot/src/main/java/org/springframework/boot/logging/log4j/Log4JLoggingSystem.java
index bd7a83bec6b..0463be29cc9 100644
--- a/spring-boot/src/main/java/org/springframework/boot/logging/log4j/Log4JLoggingSystem.java
+++ b/spring-boot/src/main/java/org/springframework/boot/logging/log4j/Log4JLoggingSystem.java
@@ -24,6 +24,7 @@
 import org.apache.log4j.LogManager;
 import org.apache.log4j.Logger;
 import org.slf4j.bridge.SLF4JBridgeHandler;
+
 import org.springframework.boot.logging.AbstractLoggingSystem;
 import org.springframework.boot.logging.LogLevel;
 import org.springframework.boot.logging.LoggingSystem;
@@ -67,8 +68,16 @@ public void beforeInitialize() {
 	}
 
 	@Override
-	public void initialize(String configLocation) {
+	public void initialize(String configLocation, boolean fileOutput, boolean consoleOutput) {
 		Assert.notNull(configLocation, "ConfigLocation must not be null");
+		String logCategory = "INFO";
+		if (fileOutput) {
+			logCategory += ",FILE";
+		}
+		if (consoleOutput) {
+			logCategory += ",CONSOLE";
+		}
+		System.setProperty("LOG_CATEGORY", logCategory);
 		try {
 			Log4jConfigurer.initLogging(configLocation);
 		}
diff --git a/spring-boot/src/main/java/org/springframework/boot/logging/logback/LogbackLoggingSystem.java b/spring-boot/src/main/java/org/springframework/boot/logging/logback/LogbackLoggingSystem.java
index 8a385dbf2c3..e574ecb9340 100644
--- a/spring-boot/src/main/java/org/springframework/boot/logging/logback/LogbackLoggingSystem.java
+++ b/spring-boot/src/main/java/org/springframework/boot/logging/logback/LogbackLoggingSystem.java
@@ -25,6 +25,7 @@
 import org.slf4j.Logger;
 import org.slf4j.bridge.SLF4JBridgeHandler;
 import org.slf4j.impl.StaticLoggerBinder;
+
 import org.springframework.boot.logging.AbstractLoggingSystem;
 import org.springframework.boot.logging.LogLevel;
 import org.springframework.boot.logging.LoggingSystem;
@@ -86,7 +87,7 @@ public void beforeInitialize() {
 	}
 
 	@Override
-	public void initialize(String configLocation) {
+	public void initialize(String configLocation, boolean fileOutput, boolean consoleOutput) {
 		Assert.notNull(configLocation, "ConfigLocation must not be null");
 		String resolvedLocation = SystemPropertyUtils.resolvePlaceholders(configLocation);
 		ILoggerFactory factory = StaticLoggerBinder.getSingleton().getLoggerFactory();
diff --git a/spring-boot/src/main/resources/org/springframework/boot/logging/java/logging.properties b/spring-boot/src/main/resources/org/springframework/boot/logging/java/logging.properties
index a37a6fa0961..3a50f3c4a42 100644
--- a/spring-boot/src/main/resources/org/springframework/boot/logging/java/logging.properties
+++ b/spring-boot/src/main/resources/org/springframework/boot/logging/java/logging.properties
@@ -1,4 +1,4 @@
-handlers = java.util.logging.FileHandler, java.util.logging.ConsoleHandler
+#handlers =java.util.logging.FileHandler,java.util.logging.ConsoleHandler
 .level = INFO
 
 # File Logging
diff --git a/spring-boot/src/main/resources/org/springframework/boot/logging/log4j/log4j.properties b/spring-boot/src/main/resources/org/springframework/boot/logging/log4j/log4j.properties
index 58baefaced6..8da75aeb736 100644
--- a/spring-boot/src/main/resources/org/springframework/boot/logging/log4j/log4j.properties
+++ b/spring-boot/src/main/resources/org/springframework/boot/logging/log4j/log4j.properties
@@ -1,4 +1,4 @@
-log4j.rootCategory=INFO, CONSOLE, FILE
+log4j.rootCategory=${LOG_CATEGORY}
 
 PID=????
 LOG_PATH=${java.io.tmpdir}
diff --git a/spring-boot/src/main/resources/org/springframework/boot/logging/logback/base.xml b/spring-boot/src/main/resources/org/springframework/boot/logging/logback/base.xml
index 67958866ec1..5ca3a24237f 100644
--- a/spring-boot/src/main/resources/org/springframework/boot/logging/logback/base.xml
+++ b/spring-boot/src/main/resources/org/springframework/boot/logging/logback/base.xml
@@ -3,7 +3,7 @@
 
 	<include resource="org/springframework/boot/logging/logback/basic.xml"/>
 
-	<property name="LOG_FILE" value="${LOG_FILE:-${LOG_PATH:-${LOG_TEMP:-${java.io.tmpdir:-/tmp}}/}spring.log}"/>
+	<!-- <property name="LOG_FILE" value="${LOG_FILE:-${LOG_PATH:-${LOG_TEMP:-${java.io.tmpdir:-/tmp}}/}spring.log}"/> -->
 	<property name="FILE_LOG_PATTERN" value="%d{yyyy-MM-dd HH:mm:ss.SSS} %5p ${PID:- } [%t] --- %-40.40logger{39} : %m%n%wex"/>
 
 	<appender name="FILE"
@@ -22,8 +22,16 @@
 	</appender>
 
 	<root level="INFO">
-		<appender-ref ref="CONSOLE" />
-		<appender-ref ref="FILE" />
+		<if condition='property("LOG_CONSOLE").equalsIgnoreCase("true")'>
+    		<then>
+        		<appender-ref ref="CONSOLE" />
+   			 </then>
+		</if>
+		<if condition='property("LOG_FILE").equalsIgnoreCase("/tmp/spring.log")'>
+    		<then>
+        		<appender-ref ref="FILE" />
+    		</then>
+		</if>
 	</root>
 
 </included>
diff --git a/spring-boot/src/main/resources/org/springframework/boot/logging/logback/basic.xml b/spring-boot/src/main/resources/org/springframework/boot/logging/logback/basic.xml
index 17499b22672..b8f5121c46f 100644
--- a/spring-boot/src/main/resources/org/springframework/boot/logging/logback/basic.xml
+++ b/spring-boot/src/main/resources/org/springframework/boot/logging/logback/basic.xml
@@ -16,9 +16,9 @@
 	   <destinationLogger>org.springframework.boot</destinationLogger>
 	</appender>
 
-	<root level="INFO">
+	<!-- <root level="INFO">
 		<appender-ref ref="CONSOLE" />
-	</root>
+	</root> -->
 
 	<logger name="org.hibernate.validator.internal.util.Version" level="WARN"/>
 	<logger name="org.apache.coyote.http11.Http11NioProtocol" level="WARN"/>
